
QGIS Application - Bug report #3109

switching layers does not work

2010-10-13 10:38 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13169

Description

Deactivating a layer often does not result in the layer being switched off from the canvas

Associated revisions

Revision f0941ddc - 2010-10-13 10:53 PM - Jürgen Fischer

fix #3109

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14377 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1684936b - 2010-10-13 10:53 PM - Jürgen Fischer

fix #3109

git-svn-id: http://svn.osgeo.org/qgis/trunk@14377 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-13 01:54 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:1684936b (SVN r14378).

#2 - 2010-10-14 01:08 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

It still happens in commit:12a404a6 (SVN r14379) (possibly less often than before)

#3 - 2010-10-14 04:15 AM - Andreas Neumann

same for me - the bug still exists on Windows OSGeo build commit:12a404a6 (SVN r14379).
On Ubuntu Lucid 64bit, the problem doesn't appear. Strange ...

#4 - 2011-03-02 08:03 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to worksforme

It seems solved as per commit:a75d755c (SVN r15310)

#5 - 2011-09-24 04:41 AM - Paolo Cavallini

- Resolution deleted (worksforme)

- Status changed from Closed to Open

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

It seems to have reappeared. If I switch cache off it is ok, when on the problem is still there.

#6 - 2011-11-06 12:16 PM - Paolo Cavallini

- Target version changed from Version 1.6.0 to Version 1.7.1

#7 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#8 - 2011-11-18 08:50 AM - Giovanni Manghi

Paolo Cavallini wrote:

It seems to have reappeared. If I switch cache off it is ok, when on the problem is still there.

still true for you? I cannot see it anymore.

#9 - 2011-11-18 08:57 AM - Paolo Cavallini

With caching OFF: load a layer, then a second one; switch off and on the top layer, ok; switch off and on the bottom layer, it remains on the canvas. It is

more of an annoyance than a serious problem.

#10 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#11 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#12 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master
#13 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#14 - 2012-12-30 08:28 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

Paolo Cavallini wrote:

With caching OFF: load a layer, then a second one; switch off and on the top layer, ok; switch off and on the bottom layer, it remains on the canvas.

It is more of an annoyance than a serious problem.

does not seems to happen anymore, please reopen if necessary.
